---
title: TimeRanges.length
slug: Web/API/TimeRanges/length
tags:
  - API
  - HTML DOM
  - Media
  - Property
  - Read-only
  - Reference
  - TimeRanges
---
<div>{{APIRef("DOM")}}</div>

<p>The <strong><code>TimeRanges.length</code></strong> read-only property returns the number of ranges in the object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>length</em> = <em>TimeRanges</em>.length;
</pre>

<h2 id="Example">Example</h2>

<p>Given a video element with the ID "myVideo":</p>

<pre class="brush: js">var v = document.GetElementById("myVideo");

var buf = v.buffered;

var numRanges = buf.length;

if (buf.length == 1) {
  // Only one range
  if (buf.start(0) == 0 &amp;&amp; buf.end(0) == v.duration) {
    // The one range starts at the beginning and ends at
    // the end of the video, so the whole thing is loaded
  }
}
</pre>

<p>This example looks at the time ranges and looks to see if the entire video has been loaded.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML WHATWG", "#dom-timeranges-length", "TimeRanges.length()")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.TimeRanges.length")}}</p>
